<p id="notice"><%= notice %></p>
<% if user_signed_in? %>
  <%= link_to "logout", destroy_user_session_path, method: :delete %>
<% else %>
  <%= link_to "login", user_session_path%>
<% end %>
<h1>Customers</h1>
<%= link_to 'New Customer', new_customer_path %> &nbsp &nbsp &nbsp &nbsp
<%=link_to 'Download as Excel',customers_path(format: :xlsx)%>
<table>
  <thead>
    <tr>
      <th>Name</th>
      <th>Address</th>
      <th>Mobile no</th>
      <th>Email</th>
      <th>Actions</th>
      <th colspan="3"></th>
    </tr>
  </thead>
  <tbody>
    <% @customers.each do |customer| %>
      <tr>
        <td><%= customer.name %></td>
        <td><%= customer.address %></td>
        <td><%= customer.mobile_no %></td>
        <td><%= customer.email %></td>
        <td><%= link_to 'Show', customer %></td>
        <td><%= link_to 'Edit', edit_customer_path(customer) %></td>
        <td><%= link_to 'Destroy', customer, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>
<br>
